import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";

const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

export async function httpBrandList(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/brandlist`, {
    data
  });
}

export async function httpUnitList(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/unitlist`, {
    data
  });
}

export async function httpCategorys(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/catwlist`, {
    data
  });
}
